#ifndef H_COMMON
#define H_COMMON

struct dnshdr {
    uint16_t transactionID;
    uint16_t flags;
    uint16_t nbQuestions;
    uint16_t nbAnswerRRs;
    uint16_t nbAuthorityRRs;
    uint16_t nbAdditionalRRs;
};

struct dns_query {
    char            *name;
    //char name[112];
    uint16_t       type;
    uint16_t       class;
    struct dns_query    *next;
};

struct event {
    int dport;
    int sport;

};

#endif
